import 'package:flutter/material.dart';

class LiveCareInfoDialog extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Dialog(
        shape:
            RoundedRectangleBorder(borderRadius: BorderRadius.circular(12.0)),
        child: Container(
          height: MediaQuery.of(context).size.height * 0.61,
          margin: EdgeInsets.all(20.0),
          width: 450.0,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            mainAxisSize: MainAxisSize.max,
            children: <Widget>[
              Container(
                alignment: Alignment.center,
                margin: EdgeInsets.only(bottom: 10.0),
                child: Icon(Icons.info_outline,
                    size: 80.0, color: Colors.red[900]),
              ),
              Container(
                alignment: Alignment.center,
                margin: EdgeInsets.only(bottom: 20.0),
                child: Text("Important Instructions",
                    textAlign: TextAlign.center,
                    style: TextStyle(
                        fontSize: 24.0,
                        fontWeight: FontWeight.bold,
                        color: Colors.red[900])),
              ),
              Container(
                alignment: Alignment.center,
                margin: EdgeInsets.only(bottom: 20.0),
                child: Text(
                    "Please make sure that you're logged in on Al Habib Mobile Application",
                    textAlign: TextAlign.center,
                    style: TextStyle(
                        fontSize: 18.0,
                        fontWeight: FontWeight.bold,
                        color: Colors.black)),
              ),
              Container(
                alignment: Alignment.center,
                margin: EdgeInsets.only(bottom: 20.0),
                child: Icon(Icons.not_interested,
                    size: 80.0, color: Colors.red[900]),
              ),
              Container(
                alignment: Alignment.center,
                margin: EdgeInsets.only(bottom: 40.0),
                child: Text(
                    "Otherwise, you will not receive the doctor's call.",
                    textAlign: TextAlign.center,
                    style: TextStyle(
                        fontSize: 22.0,
                        fontWeight: FontWeight.bold,
                        color: Colors.red[900])),
              ),
              Divider(
                thickness: 1.0,
                color: Colors.grey[400],
              ),
              Container(
                alignment: Alignment.center,
                height: 40.0,
                child: Flex(
                  direction: Axis.horizontal,
                  children: <Widget>[
                    Expanded(
                      child: InkWell(
                        onTap: () {
                          Navigator.pop(context, false);
                        },
                        child: Container(
                          child: Text("Cancel",
                              textAlign: TextAlign.center,
                              style: TextStyle(
                                  fontSize: 18.0, color: Colors.red[700])),
                        ),
                      ),
                    ),
                    Expanded(
                      child: InkWell(
                        onTap: () {
                          Navigator.pop(context, true);
                        },
                        child: Container(
                          child: Text("Ok",
                              textAlign: TextAlign.center,
                              style: TextStyle(
                                fontSize: 18.0,
                              )),
                        ),
                      ),
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
